<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Ejercicios Varios Javascript M7</h1>
    <a href="https://www.youtube.com/watch?v=mCdA4bJAGGk">Mira mi colecion de NFT</a>
    <script>
        var num1 = prompt("Introduce el numero");
        //var num2 = prompt("Introduce otro numero");
        //var num3 = prompt("Introduce otro numero");
        //EJERCICIO 1
        //Haz una función que de dos números pasados por parámetros indica (saca por consola) cúal de ellos es mayor.
        /*function mayorNumero(num1,num2){
            if(num1 > num2){
                alert(num1 + " es mayor a " + num2);
            }
            if(num1 < num2){
                alert(num1 + " es menor a " + num2);
            }
            if(num1 == num2){
                alert(num1 + " es igual a " + num2);
            }
        }
        
        mayorNumero(num1,num2);
        */
       //EJERCICIO 2
       //Haz una función que calcule (sin usar *) la multiplicación de dos números
       /*
       function Multiplicacion(num1,num2){
            var total = 0;
            for(var i = 0; i< num2;i++){
                total += parseInt(num1);
            }
            alert("La multiplicacion de "+num1+" y "+num2+" es "+total);
       }
       Multiplicacion(num1,num2);
       */
       //EJERCICIO 3
       //Utilizando la función anterior haz una función que calcule la multiplicación de 3 números.
       /*function Multiplicacion3Numeros(num1,num2,num3){
            var primeraOperacion = 0;
            var total = 0;
            for (var i = 0; i< num2;i++) {
                primeraOperacion += parseInt(num1);
            }
            for (var i = 0; i < num3; i++) {
                total += primeraOperacion;
            }
            alert("La multiplicacion de "+num1+" , "+num2+" y "+num3+" es "+total);
       }
       Multiplicacion3Numeros(num1,num2,num3);

       function multiplica3(num1,num2,num3){
            return Multiplicacion(Multiplicacion(num1,num2),num3);
       }
       Multiplicacion(Multiplicacion(num1,num2),num3);*/
       //EJERCICIO 4
       /*Encuentra entre los primeros 10.000 números naturales los números que completan la siguiente propiedad: La suma del cubo de cada una de sus cifras y que dé el mismo número:
                           → por ejemplo 153: 1*1*1+5*5*5+3*3*3= 1³+5³+3³=153.
        */
       /*function sumaAlCubo(){
        var cubo = 0;
        var resultado = 0;
        var resto = 0;
            for (var i =0; i<=10000; i++){
                    cubo = 0;
                    resultado = i;
                    while (resultado >=1){
                        resto = resultado%10;
                        resultado=parseInt(resultado/10);
                        cubo += Math.pow(resto,3);
                    }
                    if (i === cubo){
                        console.log(i);
                    }
            }
        }
       sumaAlCubo();*/
       //EJERCICIO 5
       /*Crea una función que permita calcular la nota media de 3 notas para que devuelva la media con 1 decimal.*/
       /*function calculoMedia(nota1,nota2,nota3){
        var resultado =0;
            if(nota1<0 || nota1>10){
                nota1=prompt("Nota Incorrecta");
            }
            else if(nota2<0 || nota2>10){
                nota2=prompt("Nota Incorrecta");
            }
            else if(nota3<0 || nota3>10){
                nota3=prompt("Nota Incorrecta");
            }
            resultado = (parseInt(nota1)+parseInt(nota2)+parseInt(nota3))/3;
            alert(resultado.toFixed(1));
       }
       calculoMedia(num1,num2,num3);
       */
       //EJERCICIO 6
       /*Crea una función que devuelva el cubo de un número pero que compruebe si el parámetro pasado es un número entero. Si no es un entero o no es un número mostrará un alert indicando cuál es el problema y devolverá false*/
       function numeroAlCubo(numero){
        if(isNaN(parseInt(numero)) == true){
            alert("No es un numero");
            return false;
        }
        else if(Number.isInteger(parseInt(numero)) == false){
            alert("No es un numero entero");
            return false;
        }
        alert(Math.pow(parseInt(numero),3));
        return true;
       }
       numeroAlCubo(num1);
    </script>
</body>
</html>